{% extends 'main/base.html' %}

{% block content %}
  
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-md-10 ml-auto mr-auto">

                <div class="section">
                        <div class="container">
                            <h2 class="section-title">Sortiments</h2>

                            <div class="row">
                                {% if shopsortiment %}
                                <div class="table-responsive">
                                <table class="table table-shopping">
                                    <thead>
                                    <tr>
                                        <th>Nosaukums</th>
                                        <th>Veikali</th>
                                        <th>Tilpums</th>
                                        <th>Cena</th>
                                        <th class="text-right"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for shopsortiment in shopsortiment %}
                                    <tr>
                                        <td><img src="{{shopsortiment.sortiment.photo_thumbnail_mini.url}}"> {{ shopsortiment.sortiment.name|default_if_none:"" }} ({{shopsortiment.sortiment.EAN|default_if_none:""}})</td>
                                        <td>{% for shop in shopsortiment.shops.all %}
                                                {{shop.code|default_if_none:""}}: {{shop.name|default_if_none:""}} ({{shop.city|default_if_none:""}}, {{shop.street|default_if_none:""}} {{shop.number|default_if_none:""}}, {{shop.postal_code|default_if_none:""}})
                                                <br>
                                            {% endfor %}
                                        </td>
                                        <td>{{shopsortiment.sortiment.liters|default_if_none:""}}l</td>
                                        <td>{{shopsortiment.price_vat|default_if_none:""}} €</td>
                                        <td class="td-actions text-right">
                                            <form method="POST" action="{% url 'shopsortiment:delete' shopsortiment.id %}">
                                                {% csrf_token %}
                                                <a href="{% url 'shopsortiment:edit' shopsortiment.id %}">
                                                    <button type="button" rel="tooltip" class="btn btn-success btn-round btn-just-icon btn-sm" data-original-title="" title="">
                                                        <i class="material-icons">edit</i>
                                                    </button>
                                                </a>
                                                <a href="{% url 'shopsortiment:delete' shopsortiment.id %}">
                                                <button type="submit" rel="tooltip" class="btn btn-danger btn-round btn-just-icon btn-sm" data-original-title="" title="" onClick="return confirm('Vai tiešām vēlaties dzēst?');">
                                                    <i class="material-icons">close</i>
                                                </button>
                                                </a>
                                            </form>
                                        </td>
                                    </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                                <p>
                                    <a href="{% url 'shopsortiment:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                </p>
                                </div>
                                {% else %}
                                <p> 
                                    <a href="{% url 'shopsortiment:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                    Sortiments ir tukšs. Pievienot jaunu preces vienību.
                                </p>
                                {% endif %}  
                            </div>
                    
                        </div>
                    </div>    
            
                </div>
        </div>
    </div>

  

{% endblock %}